aboutsummaryrefslogtreecommitdiffstats
path: root/appimage/entrypoint
diff options
context:
space:
mode:
Diffstat (limited to 'appimage/entrypoint')
-rwxr-xr-xappimage/entrypoint22
1 files changed, 22 insertions, 0 deletions
diff --git a/appimage/entrypoint b/appimage/entrypoint
new file mode 100755
index 00000000..458a3acf
--- /dev/null
+++ b/appimage/entrypoint
@@ -0,0 +1,22 @@
+#!/bin/bash
+set -e
+if [ $(id -u) = 0 ]; then
+ if [ ! -d /tmp/build/.gnupg ]; then
+ echo "/tmp/build must exist and must contain .gnupg"
+ exit 2
+ fi
+ id=$(stat -c %u /tmp/build)
+ adduser --home /tmp/build --no-create-home --uid $id --disabled-password --gecos build build
+ exec sudo -iu build $0 "$@"
+fi
+
+cd /tmp/build
+if [ ! -d qpdf ]; then
+ if [ "$1" == "" ]; then
+ echo "A repository and optional git clone arguments must be given"
+ exit 2
+ fi
+ git clone "$@" qpdf
+fi
+cd qpdf
+./appimage/build-appimage --sign